Reply
Thread Tools
Posts: 2,613 | Thanked: 2,830 times | Joined on May 2011 @ Poland
#21
Ok, now I've got definitely a problem.
I'm porting xcb-proto.
It's a modified debian/rules:
Code:
#!/usr/bin/make -f

export PATH := /usr/bin:$(PATH)
export SBOX_REDIRECT_IGNORE = /usr/bin/python

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

override_dh_auto_configure:
	autoreconf -v -f -i
	dh_auto_configure

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol
	maemo-optify
config.log is:
Code:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by XCB Proto configure 1.6, which was
generated by GNU Autoconf 2.61.  Invocation command line was

  $ ./configure --build=arm-linux-gnueabi --prefix=/usr --includedir=${prefix}/include --mandir=${prefix}/share/man --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --libexecdir=${prefix}/lib/xcb-proto --disable-maintainer-mode --disable-dependency-tracking

## --------- ##
## Platform. ##
## --------- ##

hostname = marcin
uname -m = arm
uname -r = 2.6.32-5-amd64
uname -s = Linux
uname -v = #1 SMP Thu Mar 22 17:26:33 UTC 2012

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = arm
/usr/bin/arch -k       = arm
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/bin/dh7
PATH: /usr/bin
PATH: /usr/bin
PATH: /host_usr/bin
PATH: /scratchbox/devkits/apt-https/bin
PATH: /scratchbox/devkits/git/bin
PATH: /scratchbox/devkits/svn/bin
PATH: /scratchbox/devkits/doctools/bin
PATH: /scratchbox/devkits/debian-etch/bin
PATH: /scratchbox/devkits/perl/bin
PATH: /scratchbox/devkits/qemu/bin
PATH: /scratchbox/tools/bin
PATH: /targets/links/arch_tools/bin
PATH: /scratchbox/compilers/bin
PATH: /bin
PATH: /usr/bin
PATH: /usr/local/bin
PATH: /usr/X11R6/bin
PATH: /sbin
PATH: /usr/sbin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1703: checking for a BSD-compatible install
configure:1759: result: /usr/bin/install -c
configure:1770: checking whether build environment is sane
configure:1813: result: yes
configure:1870: checking for gawk
configure:1886: found /usr/bin/gawk
configure:1897: result: gawk
configure:1908: checking whether make sets $(MAKE)
configure:1929: result: yes
configure:2112: checking for xmllint
configure:2130: found /usr/bin/xmllint
configure:2143: result: /usr/bin/xmllint
configure:2198: checking for a Python interpreter with version >= 2.5
configure:2213: python -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
configure:2216: $? = 1
configure:2213: python2 -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
./configure: line 2214: python2: command not found
configure:2216: $? = 127
configure:2213: python2.4 -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
./configure: line 2214: python2.4: command not found
configure:2216: $? = 127
configure:2213: python2.3 -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
configure:2216: $? = 1
configure:2213: python2.2 -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
./configure: line 2214: python2.2: command not found
configure:2216: $? = 127
configure:2213: python2.1 -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
./configure: line 2214: python2.1: command not found
configure:2216: $? = 127
configure:2213: python2.0 -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
./configure: line 2214: python2.0: command not found
configure:2216: $? = 127
configure:2213: python1.6 -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
./configure: line 2214: python1.6: command not found
configure:2216: $? = 127
configure:2213: python1.5 -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.5', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
./configure: line 2214: python1.5: command not found
configure:2216: $? = 127
configure:2223: result: none
configure:2275: error: no suitable Python interpreter found

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=arm-linux-gnueabi
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_path_XMLLINT=/usr/bin/xmllint
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_make_make_set=yes
am_cv_pathless_PYTHON=none

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/marcin/libxi6/xcb-proto-1.6-2/missing --run aclocal-1.8'
AMTAR='${SHELL} /home/marcin/libxi6/xcb-proto-1.6-2/missing --run tar'
AUTOCONF='${SHELL} /home/marcin/libxi6/xcb-proto-1.6-2/missing --run autoconf'
AUTOHEADER='${SHELL} /home/marcin/libxi6/xcb-proto-1.6-2/missing --run autoheader'
AUTOMAKE='${SHELL} /home/marcin/libxi6/xcb-proto-1.6-2/missing --run automake-1.8'
AWK='gawk'
CYGPATH_W='echo'
DEFS=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
HAVE_XMLLINT_FALSE='#'
HAVE_XMLLINT_TRUE=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LIBOBJS=''
LIBS=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /home/marcin/libxi6/xcb-proto-1.6-2/missing --run makeinfo'
PACKAGE='xcb-proto'
PACKAGE_BUGREPORT='xcb@lists.freedesktop.org'
PACKAGE_NAME='XCB Proto'
PACKAGE_STRING='XCB Proto 1.6'
PACKAGE_TARNAME='xcb-proto'
PACKAGE_VERSION='1.6'
PATH_SEPARATOR=':'
PYTHON=':'
PYTHON_EXEC_PREFIX=''
PYTHON_PLATFORM=''
PYTHON_PREFIX=''
PYTHON_VERSION=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION='1.6'
XMLLINT='/usr/bin/xmllint'
am__leading_dot='.'
bindir='${exec_prefix}/bin'
build_alias='arm-linux-gnueabi'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host_alias=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${prefix}/share/info'
install_sh='/home/marcin/libxi6/xcb-proto-1.6-2/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${prefix}/lib/xcb-proto'
localedir='${datarootdir}/locale'
localstatedir='/var'
mandir='${prefix}/share/man'
mkdir_p='mkdir -p -- .'
oldincludedir='/usr/include'
pdfdir='${docdir}'
pkgpyexecdir=''
pkgpythondir=''
prefix='/usr'
program_transform_name='s,x,x,'
psdir='${docdir}'
pyexecdir=''
pythondir=''
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='/etc'
target_alias=''
xcbincludedir=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE_NAME "XCB Proto"
#define PACKAGE_TARNAME "xcb-proto"
#define PACKAGE_VERSION "1.6"
#define PACKAGE_STRING "XCB Proto 1.6"
#define PACKAGE_BUGREPORT "xcb@lists.freedesktop.org"
#define PACKAGE "xcb-proto"
#define VERSION "1.6"

configure: exit 1
How can I fix it? I've never programmed in python, and don't have an idea what to do with it.
__________________
If you want to support my work, you can DONATE

You're encouraged to donate at least a couple of euros - otherwise PayPal takes almost everything as a fee.

If you'd prefer other currency or form of donation, please contact me


MeeCoLay: run MeeGo Harmattan apps on Fremantle
 
Posts: 99 | Thanked: 80 times | Joined on Dec 2011 @ maemo
#22
didnt find python or not recognize python version

Last edited by ravent-n900; 2012-04-27 at 17:35.
 
Posts: 2,613 | Thanked: 2,830 times | Joined on May 2011 @ Poland
#23
Something like that. I'll post the whole log if it'd help when i'm back on my computer. But it won't be very much more info that here.
__________________
If you want to support my work, you can DONATE

You're encouraged to donate at least a couple of euros - otherwise PayPal takes almost everything as a fee.

If you'd prefer other currency or form of donation, please contact me


MeeCoLay: run MeeGo Harmattan apps on Fremantle
 
Posts: 2,613 | Thanked: 2,830 times | Joined on May 2011 @ Poland
#24
It's the whole log.

edit: the same happens when using package automake & autoconf instead of automake1.10-autoconf264 & autoconf2.64
Attached Files
File Type: txt log.txt (10.6 KB, 64 views)
__________________
If you want to support my work, you can DONATE

You're encouraged to donate at least a couple of euros - otherwise PayPal takes almost everything as a fee.

If you'd prefer other currency or form of donation, please contact me


MeeCoLay: run MeeGo Harmattan apps on Fremantle

Last edited by marmistrz; 2012-04-27 at 18:42.
 
Posts: 99 | Thanked: 80 times | Joined on Dec 2011 @ maemo
#25
can you post your python version ?
 
Posts: 2,613 | Thanked: 2,830 times | Joined on May 2011 @ Poland
#26
Originally Posted by ravent-n900 View Post
can you post your python version ?
Sure,
python2.5 is certainly present, theres no python1.5 for sure.
I'll provide more details as soon as I get on the scratchbox (writing this on n900) - it should be 2moro afternoon cet.
__________________
If you want to support my work, you can DONATE

You're encouraged to donate at least a couple of euros - otherwise PayPal takes almost everything as a fee.

If you'd prefer other currency or form of donation, please contact me


MeeCoLay: run MeeGo Harmattan apps on Fremantle
 

The Following User Says Thank You to marmistrz For This Useful Post:
Posts: 99 | Thanked: 80 times | Joined on Dec 2011 @ maemo
#27
Originally Posted by marmistrz View Post
Sure,
python2.5 is certainly present, theres no python1.5 for sure.
I'll provide more details as soon as I get on the scratchbox (writing this on n900) - it should be 2moro afternoon cet.
mine 2.5.4
 

The Following User Says Thank You to ravent-n900 For This Useful Post:
Posts: 2,613 | Thanked: 2,830 times | Joined on May 2011 @ Poland
#28
mine is 2.5.4 too.
__________________
If you want to support my work, you can DONATE

You're encouraged to donate at least a couple of euros - otherwise PayPal takes almost everything as a fee.

If you'd prefer other currency or form of donation, please contact me


MeeCoLay: run MeeGo Harmattan apps on Fremantle
 
Posts: 99 | Thanked: 80 times | Joined on Dec 2011 @ maemo
#29
mine 2.5.4
scratchbox has 2.5.4 or n900?
 
Posts: 977 | Thanked: 3,626 times | Joined on Apr 2010 @ Czech Republic
#30
My N900 with CSSU has Python 2.5.4. As IIRC CSSU didn't update Python, also vanilla PR 1.3 should have the same version.
__________________
modRana: a flexible GPS navigation system
Mieru: a flexible manga and comic book reader

Thanks to everyone who voted for modRana & Mieru in the Maemo.org coding competition !
 

The Following 2 Users Say Thank You to MartinK For This Useful Post:
Reply

Tags
fremantle, harmattan, meego, optify, porting

Thread Tools

 
Forum Jump


All times are GMT. The time now is 02:54.